body {
    font-family: "Source Sans Pro", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: #F0F3F4;
    margin: 0px;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

.app {
    margin: 0px;
    display: grid;
    grid-template-columns: 300px 1fr ;
    grid-template-rows: 80px 1fr 50px;
    height: 100vh;
    grid-template-areas: "header header" "aside main" "aside main";
    transition: 2s;
}

.header {
    grid-area: header;
}

.aside {
    grid-area: aside;
    overflow: hidden;
    width: 300px;
    z-index: 999;
    transition: 1s;
}

.main {
    grid-area: main;
    background-color: #F0F3F4;
    padding: 20px;
    overflow: auto;
}

.footer {
    grid-area: footer;
}

@media(max-width:768px) {
    .app {
        grid-template-columns: 0px 1fr;
    }

    .aside {
        width: 0px;
    }
}

.header-option-btn {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    animation: fadeMr 1s;
}

@keyframes fadeMr {
    from {
        margin-top: 100px;
    }

    to {
        margin-top: 0px;
    }
}

.header-option-btn>div {
    margin: 20px 0px;
}

.action-btn-table {
    display: flex;
    flex-direction: row;

    align-items: center;
}


.action-btn-table>a {
    border: none;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 7px 9px;
    height: 30px;


}



.action-btn-table>button {
    border: none;
    padding: 3px 10px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;

}



.action-btn>a {
    border: none;
    padding: 10px 10px;
    cursor: pointer;
    border-radius: 10px 0px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;
    color: #000000;
    width: 160px;
    border: 1px solid #356B37;
}



.action-btn>button {
    border: none;
    padding: 9px 10px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;
    width: 100px;
    border: 1px solid #356B37;
    border-radius: 10px 0px;

}

.action-btn>button:hover {
    background-color: #e0d48ee1;
}

.action-btn>a:hover {
    background-color: #e0d48ee1;
}

.btn-table {
    cursor: pointer;
}

.btn-exportar {
    background-color: #fff;
    color: #356B37;
    cursor: pointer;
    border: 1px solid #346B37;
}

.btn-exportar-a {
    color: #070707;
    cursor: pointer;
}

.btn-view {
    background-color: #336B36;
    color: #fff;
    cursor: pointer;
}

.btn-del {
    background-color: #EF476F;
    color: #fff;
    cursor: pointer;
    border: none;
}

.search-input {
    display: flex;
    align-items: center;
    border-radius: 10px;
    border: 2px solid #b1b1b158;
    width: 300px;
}

.search-input i {
    font-size: 17px;
    margin-right: 5px;
    color: #949494;
    padding: 0px 10px;
}

.search-input input {
    border: none;
    background-color: transparent;
    box-shadow: 0 0 0 0;
    outline: 0;
    color: #949494;
    padding: 5px;
    transition: 0.4s;
    padding: 10px;
}


.action-btn a {
    text-decoration: none;
}

.register-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.register-input {
    display: flex;
    width: 100%;
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.475);
    padding: 5px;
    padding: 10px;
    border-radius: 15px 0px;
}

.register-input label {
    margin: 0px;
}

.register-input-info {
    color: #336A36;
}

.register-input input {
    width: 100%;
    box-shadow: 0 0 0 0;
    border: 0 none;
    outline: 0;
    background-color: transparent;
    background-color:
}

.register-input textarea {
    width: 100%;
    box-shadow: 0 0 0 0;
    border: 0 none;
    outline: 0;
    background-color: transparent;
}


.register-input select {
    width: 100%;
    box-shadow: 0 0 0 0;
    border: 0 none;
    outline: 0;
    background-color: transparent;
}

.register-input i {
    color: rgba(36, 36, 36, 0.521);
    margin: 0px 4px;
    font-weight: 100;
    font-size: 20px;
}

.register-row {
    width: 100%;
    margin: 10px 10px;
}

.register-col {
    width: 100%;
    display: flex;

}

.register-btn {
    display: flex;
    width: 100%;
    justify-content: flex-end;
    align-items: center;
    margin-top: 20px;
}

.register-btn>button {
    border: none;
    padding: 9px 10px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;
    border: 1px solid #356B37;
    border-radius: 10px 0px;
}


.register-btn>a {
    border: none;
    padding: 9px 10px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 0 0;
    outline: 0;
    margin: 0px 3px;
    transition: 0.4s;
    width: 100px;
    border: 1px solid #356B37;
    border-radius: 10px 0px;
    background-color: #e4d99b13;
    color: black;
}

.title-h{
    font-size: 20px;
    font-weight: 300;
    margin-top: 20px;
}


.btn-suc {
    background-color: #356B37;
    color: #ffffff;
    cursor: pointer;
    border: none;
}

.btn-suc-date {
    background-color: #356B37;
    color: #ffffff;
    cursor: pointer;
    border: none;
    padding: 10px;
    border-radius: 10px 0px;
}


.btn-cancel {
    background-color: #ef476f;
    color: #fff;
    cursor: pointer;
}

.msg {
    position: absolute;
    color: #fff;
    padding: 10px;
    border-radius: 15px 0px;
    right: 10px;
    top: 120px;
    animation: fadeOpacity 1s;
    padding: 20px;
}

.info-alerta {
    display: flex;
    align-items: center;
}

.info-alerta>div>p {
    margin: 0px;
}

.info-alerta i {
    padding: 10px;
    font-size: 18px;
}

.info-direct {
    cursor: pointer;
    color: rgb(83, 83, 83);
}

.info-direct:hover {
    color: rgb(83, 83, 83);
}

@keyframes fadeOpacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.success {
    background-color: #356B37;
}

.danger {
    background-color: #ef476f;
}

.fg-danger {
    color: #ef476f;
}

.display-none {
    display: none;
}

.msg-nao-cadastrado {
    display: flex;
    justify-content: center;
    padding: 10px;
}

.overflow-container {
    height: 500px;
    overflow: auto;
}

.modal-info {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 999;
    display: none;
    align-items: center;
    justify-content: center
}

.modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.modal-header h5 {
    color: #fff;
}

.modal-header i {
    color: #fff;
    cursor: pointer;
}

.modal-content {
    overflow: hidden;
    background-color: #10546A;
    width: 550px;
}

.modal-main {
    background-color: #fff;
    padding: 12px;
}

.modal-main>div>img {
    height: 60px;
    width: 500px;
}

.backup-msg {
    position: absolute;
    bottom: 60px;
    left: 15px;
    z-index: 999;
    background-color: #336B36;
    color: #fff;
    padding: 10px;
    border-radius: 4px;
}

.modal-info-del {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
    animation: fadeOpacity 1s;
}

.modal-content-del {
    background-color: #fff;
    width: 400px;
    border-radius: 4px;
    box-shadow: 0px 1px 8px 1px rgba(0, 0, 0, 0.103);
}

.modal-header-del {
    background-color: #E4D99B;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}

.modal-header-del h5 {
    margin: 0;
    color: #356B37;
}

.modal-main-del {
    padding: 15px;
}

.modal-main-del p {
    margin: 0;
}

.btn-confirm {
    background-color: #2a592cce !important;
    color: #fff;
}

.btn-confirm-del {
    display: flex;
    justify-content: flex-end;
    margin: 10px;
}

.btn-confirm-del button {
    border: none;
    width: 60px;
    padding: 5px;
    outline: 0;
    cursor: pointer;
    border-radius: 4px;
}

.btn-confirm-del a {
    border: none;
    width: 60px;
    padding: 5px;
    background-color: #EF476F;
    color: #fff;
    margin-left: 5px;
    border-radius: 4px;
}

.overflow-resp {
    overflow: auto;
    max-height: 400px;
    width: 100%;
}

.overflow-center {
    display: flex;
    justify-content: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.169);
}

.text-black {
    color: black;
}

.selection-checkbox {
    display: flex;
    align-items: center;
}

.selection-checkbox label {
    margin: 0px 5px;
}

.selection-checkbox i {
    color: rgba(36, 36, 36, 0.521);
    margin: 0px 4px;
}

.register-checkbox {
    display: grid;
    grid-template-columns: repeat(auto-fill, 300px);
    justify-content: center;
    border: 1px solid rgba(0, 0, 0, 0.089);
    padding: 5px;
    background-color: #f0f3f46c;
    border-radius: 8px;
}

.check_outros {
    border: none;
    border-bottom: 1px solid rgb(190, 190, 190);
    background-color: transparent;
    box-shadow: 0 0 0 0;
    outline: 0;
}

.upload-content {
    margin: 3px;
    position: relative;
    min-width: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 1s;
}

.upload-content:hover {
    -webkit-transform: scale(1.1);
    background-color: rgba(0, 0, 255, 0.062);
    z-index: 999;
}

.upload-content img {
    height: 140px;
}

.upload-content iframe {
    height: 140px;
}

.upload-content {
    border: 1px solid rgba(0, 0, 0, 0.308);
}

.upload-are {
    display: flex;
    margin-top: 20px;
}

.btn-action-upload {
    margin: 2px 10px;
    display: flex;
    position: absolute;
    bottom: 0;
    right: 0;
    display: flex;

}

.view-upload {
    background-color: #f3c863;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    border-radius: 8px;
    margin-right: 4px;
}

.download-updload {
    background-color: #06af1c;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    border-radius: 8px;
    margin-right: 4px;
}

.del-upload {
    background-color: #EF476F;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    border-radius: 8px;
    cursor: pointer;
}

.upload-are {
    display: flex;
    flex-wrap: wrap;
}

.delete-upload-action {
    position: absolute;
    background-color: #b66175af;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 19px;
}

.form-filter{
    display: none;
    position: absolute;
    background-color: #fff;
    padding: 50px;
    border: 1px solid #E4D99B;
    z-index: 999;
    max-width: 400px;
}

.filter-advanced form>div {
    display: flex;
    flex-direction: column;
    margin: 10px;
    justify-content: flex-end;

}

.filter-advanced form>div>label {
    color: #999999;
}

.filter-advanced form>div>input {
    border: 1px solid rgb(202, 202, 202);
    height: 30px;
    border-radius: 8px;
    box-shadow: 0 0 0 0;
    outline: 0;
    padding: 20px
}

.filter-advanced form>div>select {
    border: 1px solid rgb(202, 202, 202);
    border-radius: 8px;
    box-shadow: 0 0 0 0;
    outline: 0;
    padding: 10px
}

.filter-advanced form>div>button {
    box-shadow: 0 0 0 0;
    outline: 0;
    padding: 0px 10px;
        cursor: pointer;
    color: #356B37;
    background-color: #e0d48ee1;
    border-radius: 15px 0px;
    padding: 10px;
    border: none;
}


.filter-advanced form>div>a {
    box-shadow: 0 0 0 0;
    outline: 0;
    padding: 0px 10px;
    cursor: pointer;
    color: #000000;
    background-color: #cfceca34;
    border-radius: 15px 0px;
    padding: 10px;
    border: none;
    display: flex;
    justify-content: center;
}

.filter-advanced-clear {
    text-decoration: none;
    color: black;
}

.filter-advanced-clear:hover {
    text-decoration: none;
    color: black;
}

.loading-table {
    height: 70px;
}

.alert-sta {
    background-color: #fff3cd;
    width: 100%;
    text-align: center;
    padding: 10px;
}


.info-register {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-right: 14px;
}

.filtro-btn{
    cursor: pointer;
    color: #356B37;
    background-color: #e0d48ee1;
    border-radius: 15px 0px;
    padding: 10px;
}


.info-register span {
    margin: 0px 10px;
    display: flex;
}

table {
    position: relative;
}

thead>tr>th {
    position: sticky;
    top: 0;
    background-color: white;

}

@media (max-width: 769px) {
    .register-col {
        flex-direction: column;
    }

    .register-row {
        margin: 0px
    }

    .register-btn>button {
        margin-right: 0px;
        margin-left: 8px;
    }

    .register-btn>a {
        margin-right: 0px;
        margin-left: 8px;
    }

    .modal-content {
        width: 350px;
    }
}



@media (max-width: 414px) {
    .modal-content-del {
        width: 300px;
    }

    .register-checkbox {
        justify-content: flex-start;
    }
}

.container_check_unidades {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
}

.content_check_unidades {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 15px;
    background-color: #fff;
    padding: 10px;
    border-radius: 10px;
}

.content_check_unidades label {
    margin-left: 5px;
}

.input-file-result {
    opacity: 0;
    width: 0px;
}

.display-flex {
    display: flex;
    flex-direction: column;
}

.header-title {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-title>h1 {
    padding: 10px;
}

.header-title>svg {
    font-size: 30px;
    background-color: #356b37;
    padding: 8px;
    border-radius: 15px 0px
}

.close-filter{
    cursor: pointer;
    display: flex;
    justify-content: flex-end;
}

.size-aside {
    width: 28px;
    height: 28px;
}

.size-btn {
    width: 18px;
    height: 18px;
}

.size-title {
    width: 42px;
    height: 42px;
}

.overflow-center {
    width: 100%;
    overflow-x: auto; /* ativa rolagem horizontal */
}

.overflow-center table {
    border-collapse: collapse;
    table-layout: auto; /* deixa as colunas se ajustarem */
    max-width: 100%; /* evita passar da tela */
}

.overflow-center th,
.overflow-center td {
    white-space: nowrap; /* impede quebra feia dentro das células */
}

.btn-filtro{
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-filtro > div{
    margin-right: 10px;
}